Subject: Re: [PATCH iproute2 net-next] bridge: mdb: add support for extended router port information

From: Nikolay Aleksandrov <[email-masked]>
Date: Sun, 6 Mar 2016 22:12:56 +0100

On 03/06/2016 09:56 PM, Stephen Hemminger wrote:
> On Thu,  3 Mar 2016 16:19:34 +0100
> Nikolay Aleksandrov <[email-masked]> wrote:
> 
>> +static int is_temp_mcast_rtr(__u8 type)
>>  {
>> +	if (type == MDB_RTR_TYPE_TEMP_QUERY || type == MDB_RTR_TYPE_TEMP)
>> +		return 1;
>> +	else
>> +		return 0;
>> +}
>> +
> 
> Minor style issues, why not much simpler:
> 
> static bool is_tmp_mcast_rtr(__u8 type)
> {
> 	return (type == MDB_RTR_TYPE_TEMP_QUERY || type == MDB_RTR_TYPE_TEMP);
> }
> 

Yeah, I considered it but I don't know why I went with
the more explicit one. I'll make a v3 with the change. :-)

Thanks,
 Nik